import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/groupon/groupon/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/groupon/groupon/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/groupon/groupon/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/groupon/groupon/save',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/groupon/groupon/update',
    method: 'post',
    data: row
  })
}

export const modifyStatus = (row) => {
  return request({
    url: '/api/groupon/groupon/modify-status',
    method: 'post',
    data: row
  })
}

export const audit = (param) => {
  return request({
    url: '/api/groupon/groupon/audit',
    method: 'post',
    params: {
      ...param
    }
  })
}

export const perfect = (param) => {
  return request({
    url: '/api/groupon/groupon/perfect',
    method: 'post',
    data: param
  })
}

